## librep 0.92.5

=== debian/changelog ===
librep (0.92.5-3.2) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/patches: Fix build with -Werror=implict-function-declaration
    (Closes: #1066440)
  * debian/control: Drop -dbg package in favor of -dbgsym packages

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 17 Apr 2024 22:48:53 +0200

librep (0.92.5-3.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Tue, 14 Jun 2022 14:08:21 +0200

librep (0.92.5-3) unstable; urgency=low

  * Add patch 0003-hppa-metag-stack-direction for FTBFS on hppa (Closes:
    #818693)

 -- Jose M Calhariz <jose@calhariz.com>  Sun, 20 Mar 2016 14:52:44 +0000

librep (0.92.5-2) unstable; urgency=low

  * Upload to unstable.
  * Vcs-Git: Move from git protocol to https.
  * Bump Standard-Versions to 3.9.7, no changes needed.

 -- Jose M Calhariz <jose@calhariz.com>  Sat, 19 Mar 2016 17:17:48 +0000

librep (0.92.5-1) experimental; urgency=low

  * New Maintainer, (Closes: #738097).
  * Acknowledge NMU work.
    * Thanks Tim Retout, Steve M. Robbins, Hector Oron and Gregor Herrmann
      for keeping librep inside Debian all this years.
  * New Upstream version:
    * Imported Upstream version 0.90.2
    * Imported Upstream version 0.90.3
    * Imported Upstream version 0.90.4
    * Imported Upstream version 0.90.5
    * Imported Upstream version 0.92.4
    * Imported Upstream version 0.92.5
  * Debian work:
    * Remove upstream debian directory
    * Patch armel_ftbfs was accepted upstream, removed.
    * wrap-and-sort the debian files, for better read ability of future
      changes.
    * Bump soname from 9 to 16.
    * Library transition, so uploadling into experimental.
    * New patch for:
      * FTBFS with GCC 5: multiple definition of `inline_Fcons'
        (Closes: #791367)
    * Update watch file, because the sources are on a new archive.
    * Canonicalize URLs of Vcs-*.
    * Switch to dpkg-source 3.0 (quilt) format.
    * Run dh-autoreconf to update config.{sub,guess} and
      {libtool,aclocal}.m4 (Closes: #744619).
    * Merge the packaging work of Christopher Roy Bratusek.
    * Bump Standards-Version to 3.9.6, no changes needed.
    * Update librep16.symbols.
    * Override dh_install instead of dh_auto_install.
    * Make it Multi-Arch: same.
    * Remove /usr/share/doc link, thank you Mattia Rizzolo for the patch.
    * Rewrite debian/copyright using copyright-format 1.0.

 -- Jose M Calhariz <jose@calhariz.com>  Sat, 09 Jan 2016 18:45:52 +0000

librep (0.90.2-1.4) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "FTBFS on kfreebsd-amd64":
    apply patch from Steven Chamberlain:
    check for DEB_HOST_ARCH_CPU in debian/rules.
    (Closes: #709183)

 -- gregor herrmann <gregoa@debian.org>  Thu, 30 May 2013 13:44:48 +0200

librep (0.90.2-1.3) unstable; urgency=low

  * Non-maintainer upload.
  * Add armhf support. Thanks Konstantinos Margaritis (Closes: #623388)
  * Emptying the dependency_libs field in .la files
  * Add lintian override for librep-dev: missing-dep-for-interpreter rep 

 -- Hector Oron <zumbi@debian.org>  Tue, 12 Jul 2011 11:17:30 +0100

librep (0.90.2-1.2) unstable; urgency=low

  * NMU.  Change dependency libgmp3-dev --> libgmp-dev.

 -- Steve M. Robbins <smr@debian.org>  Thu, 17 Mar 2011 22:27:59 -0500

librep (0.90.2-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/rules: Set CONFIG_SHELL and run ./configure using /bin/bash
    explicitly, so that the generated libtool will work with any /bin/sh.
    (Closes: #570719)

 -- Tim Retout <diocles@debian.org>  Thu, 14 Oct 2010 18:51:17 +0100

librep (0.90.2-1) unstable; urgency=low

  * New Upstream Release.
   - Improved ffi-binding
   - Added support for tar.xz and tar.lzma, improved regex for parsing tar
     output.
   - Save/load readline history in interactive mode.
   - Other misc improvements and bugfixes.
   - Update symbols file
   - Update build-depends
  * Remove libreadline5-dev build dependency (Closes: #553801).
  * Add ${misc:Depends} to control entries.
  * Adjust packages' dependencies per lintian's recomendations
  * Bump Standards-Version to 3.8.3. No extra changes.

 -- Luis Rodrigo Gallardo Cruz <rodrigo@debian.org>  Wed, 11 Nov 2009 18:55:35 -0800

librep (0.90.0-1) experimental; urgency=low

  * New Upstream Releases.
    - Updated build system.
    - UTF8 support.
    - Updated documentation.
    - Code cleanups.
  * Reintroduce the rep package, removed in 0.17-12 (Closes: #511016).
    As far as I could see, librep.so does not depend on having the rep
    binary installed. Any program emdbeding librep that DOES require the
    standalone interpreter must now depend explicitly on the rep package.
  * Add a -dbg package (Closes: #510933).
  * Remove use of brace expansion in debian/rules.
    This fixes building with dash as /bin/sh.
  * Minor typo: Copyright for packaging said it had the same terms as rep-gtk
  * Bump Standards-version to 3.8.2. No changes required.

 -- Luis Rodrigo Gallardo Cruz <rodrigo@debian.org>  Mon, 27 Jul 2009 10:24:30 -0700

librep (0.17.3-4) unstable; urgency=low

  * Add --with-stack-direction flag to mips and mipsel builds
    (Closes: #526962)

 -- Luis Rodrigo Gallardo Cruz <rodrigo@debian.org>  Sat, 25 Jul 2009 12:50:36 -0700

librep (0.17.3-3) unstable; urgency=low

  * Upload to unstable.
  * Fix stack direction in ia64 and alpha.
  * Clarify the description of each package.
  * Rewrite the copyright file.

 -- Luis Rodrigo Gallardo Cruz <rodrigo@debian.org>  Thu, 30 Apr 2009 19:47:11 -0700

librep (0.17.3-2) experimental; urgency=low

  * Avoid hardcoded arch name in librep-dev.files (Closes: #523758).
  * Build with --with-stack-direction=1 for ppc/ia64
  * Do not ship computed librep-dev.files

 -- Luis Rodrigo Gallardo Cruz <rodrigo@debian.org>  Sun, 12 Apr 2009 13:40:22 -0700


