=== debian/control ===
Source: librep
Section: lisp
Priority: optional
Maintainer: Jose M Calhariz <jose@calhariz.com>
Standards-Version: 3.9.7
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               libffi-dev,
               libgdbm-dev,
               libgmp-dev,
               libncurses5-dev,
               libreadline-dev,
               libtool,
               pkg-config,
               texinfo (>= 4.11-2)
Homepage: http://sawfish.tuxfamily.org/
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/librep.git
Vcs-Git: https://anonscm.debian.org/git/collab-maint/librep.git

Package: rep
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Suggests: rep-doc
Conflicts: librep9 (<= 0.17.3-3)
Replaces: librep9 (<= 0.17.3-3)
Description: lisp command interpreter
 rep is a dialect of Lisp, designed to be used both as an extension
 language for applications and as a general purpose programming language.
 .
 It was originally written to be mostly-compatible with Emacs Lisp, but has
 subsequently diverged markedly. Its aim is to combine the best features of
 Scheme and Common Lisp and provide an environment that is comfortable for
 implementing both small and large scale systems. It tries to be a
 "pragmatic" programming language.

Package: librep16
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: embedded lisp command interpreter library
 rep is a dialect of Lisp, designed to be used both as an extension
 language for applications and as a general purpose programming language.
 .
 It was originally written to be mostly-compatible with Emacs Lisp, but has
 subsequently diverged markedly. Its aim is to combine the best features of
 Scheme and Common Lisp and provide an environment that is comfortable for
 implementing both small and large scale systems. It tries to be a
 "pragmatic" programming language.
 .
 This package contains the shared library for applications that embed
 the rep interpreter. You should not need to install this package manually.

Package: librep-dev
Section: libdevel
Architecture: any
Depends: libgmp-dev,
         librep16 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: rep-doc
Description: development libraries and headers for librep
 rep is a dialect of Lisp, designed to be used both as an extension
 language for applications and as a general purpose programming language.
 .
 It was originally written to be mostly-compatible with Emacs Lisp, but has
 subsequently diverged markedly. Its aim is to combine the best features of
 Scheme and Common Lisp and provide an environment that is comfortable for
 implementing both small and large scale systems. It tries to be a
 "pragmatic" programming language.
 .
 This package contains the files needed to embed the rep interpreter in an
 application.

Package: rep-doc
Section: doc
Architecture: all
Depends: info | info-browser,
         ${misc:Depends}
Conflicts: librep-doc
Replaces: librep-doc
Provides: librep-doc
Description: documentation for the lisp command interpreter
 rep is a dialect of Lisp, designed to be used both as an extension
 language for applications and as a general purpose programming language.
 .
 It was originally written to be mostly-compatible with Emacs Lisp, but has
 subsequently diverged markedly. Its aim is to combine the best features of
 Scheme and Common Lisp and provide an environment that is comfortable for
 implementing both small and large scale systems. It tries to be a
 "pragmatic" programming language.
 .
 This package contains the language documentation in info format.
