=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH),m68k))
	export DEB_CFLAGS_MAINT_APPEND = -Wall -g -O0
endif

DEB_CONFIGURE_USER_FLAGS = --with-readline

dev_extras = debian/tmp -name install-aliases -o -name rep_config.h -o -name *.a -o -name *.jl

rep_extras = debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/rep debian/tmp/usr/share/rep -name *.jlc -o -name *.so

dh_install_auto = xargs dh_install --autodest

%:
	dh $@ --with autoreconf

override_dh_auto_clean:
	[ ! -f Makefile ] || $(MAKE) gitclean

override_dh_auto_configure:
	dh_auto_configure -- $(DEB_CONFIGURE_USER_FLAGS)

override_dh_auto_build:
	env LC_ALL=C dh_auto_build

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_install:
	dh_install
	find $(dev_extras) | $(dh_install_auto) -plibrep-dev
	find $(rep_extras) | $(dh_install_auto) -prep

override_dh_makeshlibs:
	dh_makeshlibs -Xusr/lib/$(DEB_HOST_MULTIARCH)/rep/

override_dh_shlibdeps:
	dh_shlibdeps -- --warnings=2
