## librep 0.92.6

=== debian/changelog ===
librep (3:0.92.6-1nano) unstable; urgency=low

  * New upstream bugfix release

 -- Christopher Roy Bratusek <nano@jpberlin.de>  Thu, 26 May 2016 11:57:04 +0200
